Bug 154553 - openoffice freezes the system
openoffice freezes the system
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Depends On:
Blocks: FC4Blocker
  Show dependency treegraph
Reported: 2005-04-12 13:05 EDT by Matthias Clasen
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-30 18:00:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2005-04-12 13:05:12 EDT
I updated to the x86_64 box to rawhide today, and that pulled in 
ooo 1.9.89-3, but it still did not pull in the i386 packages of libgcj 
and startup-notification. After installing them manually, oowriter
starts up, but freezes the system. Not just X, the whole system, if I am
fast enough, I can switch to a different vt after starting oowriter, 
and watch the system freeze a few seconds after that.
Comment 1 Caolan McNamara 2005-04-12 14:08:09 EDT
A) ooo 1.9.89-3, but it still did not pull in the i386 packages of libgcj 
and startup-notification

* Tue Apr 5 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.89-4
- rh#153129# Requires won't work for x86_64

so can you confirm or deny that they get pulled in for >= 1.9.89-4 ?

B) does it make any difference if it's e.g. oomath or oodraw vs oowriter. My
wild guess would be something to do with libgl or the like. Any debug in the
console, perhaps sshing in from a different machine and running it might throw
up something useful to see if it's anything to do with X/gl
Comment 2 Caolan McNamara 2005-04-12 14:32:35 EDT
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=139712 has a demo gl
program to test if its one of the weird things I've seen before
Comment 3 Matthias Clasen 2005-04-12 15:38:13 EDT
A) 1.9.92-2 seems to pull in the right packages
Comment 4 Matthias Clasen 2005-04-12 16:57:34 EDT
Actually, I spoke too soon. yum initially told me that it needed
startup-notifcation.i386, but it doesn't seem to have installed it !

Ad B) 
oowriter freezes
oomath does not
oodraw freezes
oocalc freezes
ooimpress does too
Comment 5 Caolan McNamara 2005-04-27 08:54:08 EDT
I got a few of the other 64bit users to give ooo2 a whirl and couldn't get any
other similiar reports. Is this any other info which could shed a bit of light
on this one
Comment 6 Caolan McNamara 2005-05-04 11:07:39 EDT
FWIW: I don't have an idea about what this is, but I bet it's not much to do
with OOo, perhaps a kernel thing or perhaps an X thing.
Comment 7 Warren Togami 2005-05-16 04:44:36 EDT
Does it freeze if you are running it as root, and works as non-root?
Comment 8 Warren Togami 2005-05-28 04:19:58 EDT
caolanm is this still an issue?  Does it lockup as root but not as a non-root user?
Comment 9 Caolan McNamara 2005-05-30 05:13:37 EDT
dunno, I've no x86_64 box to test to see if it hangs.
Comment 10 Warren Togami 2005-05-30 18:00:58 EDT
I'm guessing this was one of those 32-bit-64bit kernel problems we had earlier.
 I can't reproduce anything like this.  Assuming fixed.

Note You need to log in before you can comment on or make changes to this bug.